Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.jpa
Class JpaSymbols

    java.lang.Object
      org.apache.tapestry5.jpa.JpaSymbols

    public class JpaSymbols

extends java.lang.Object

Configuration symbols, for use with contributions to `ApplicationDefaults`.

Since:
  5.3

Field Summary
`static java.lang.String` | `EARLY_START_UP` If "true", then JPA will be started up at application launch, rather than lazily.
`static java.lang.String` | `ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED` If true, then "entity" persistence strategy is used to store JPA entities as `Session State Objects`.
`static java.lang.String` | `PERSISTENCE_DESCRIPTOR` The location of the persistence configuration file, located on the classpath.
`static java.lang.String` | `PROVIDE_ENTITY_VALUE_ENCODERS`

Constructor Summary
`JpaSymbols()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROVIDE_ENTITY_VALUE_ENCODERS

    public static final java.lang.String PROVIDE_ENTITY_VALUE_ENCODERS

See Also:
  Constant Field Values

### EARLY_START_UP

    public static final java.lang.String EARLY_START_UP

  If "true", then JPA will be started up at application launch, rather than lazily.

  Since:
    5.3
  See Also:
    Constant Field Values

### ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED

    public static final java.lang.String ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED

  If true, then "entity" persistence strategy is used to store JPA entities as `Session State Objects`.

  Since:
    5.3
  See Also:
    Constant Field Values

### PERSISTENCE_DESCRIPTOR

    public static final java.lang.String PERSISTENCE_DESCRIPTOR

  The location of the persistence configuration file, located on the classpath. This will normally be `/META-INF/persistence.xml`.

  Since:
    5.3
  See Also:
    Constant Field Values

Constructor Detail

### JpaSymbols

    public JpaSymbols()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.